summarylogtreecommitdiffstats
path: root/gcc-libs.install
diff options
context:
space:
mode:
Diffstat (limited to 'gcc-libs.install')
-rw-r--r--gcc-libs.install16
1 files changed, 16 insertions, 0 deletions
diff --git a/gcc-libs.install b/gcc-libs.install
new file mode 100644
index 00000000000..23553b8f0b1
--- /dev/null
+++ b/gcc-libs.install
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+filelist=(libgomp.info libquadmath.info)
+
+post_upgrade() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}